*  unpit.R -- resource definition file for unpit (a PACKIT file unpacker)
*
!Unpit
APPLUPIT

* Finder version data
TYPE UPIT = STR 
  ,0
  Unpit 0.3 -- October 2, 1986
  
* Menus
Type MENU
,1(4)
\14
About Unpit.../A
(-

Type MENU
,2(4)
File
Unpack files.../U
Packit and TEXT files only/F
(-
Delete file.../D
(-
Pack files.../P
Use Huffman compression/K
(-
Help.../H
(-
Quit/Q

Type MENU
,3(4)
Edit
Undo/Z
(-
Cut/X
Copy/C
Paste/V
Clear

* dialog box for About command
*   ID (4 => pre-loaded; 32 => purgeable)
*   title
*   BoundsRect(global: TLBR)
*   Vis NoGo: it's visible, but has no close box
*   ProcID: Window type is plain box with shadow [was modal dialog]
*   RefCon: Unused user variable
*   res. ID of item list
Type DLOG
  ,257(4)
  About Box
  35 10 325 502
  Visible NoGoAway
  3
  0
  257

* dialog item list for About command
*   ID (4 => pre-loaded; 32 => purgeable - it should always be purgeable.)
*   # Items
*   the first item:
*      a Button you can select
*      display rect (local coords)
*      title
*   the second-last items:
*     Static text, disabled (i.e. can't select it)
*     display rect
*     text to be displayed
Type DITL
  ,257(36)
  9
    button Enabled
    265 370 286 470
OK

    staticText Disabled
    5 201 20 493
Unpit version 0.3

    staticText Disabled
    20 137 35 493
Copyright  1986 Thomas D. Newton

    staticText Disabled
    80 8 95 493
Unpit is a file packing, unpacking, and compression utility based partly

    staticText Disabled
    95 8 110 493
on the Unix program 'unpit', by Allan G. Weber (Weber%Brand@USC-ECL).

    staticText Disabled
    110 8 125 493
It may be copied and used for noncommercial purposes, but may not be

    staticText Disabled
    125 8 140 493
sold or offered as an inducement to buy a product.

    staticText Disabled
    215 8 230 493
Copyright  1986 THINK Technologies.  Certain portions of this software

    staticText Disabled
    230 8 245 493
are copyrighted by THINK Technologies, Inc.

* alert box for I/O errors
*   ID (4 => pre-loaded; 32 => purgeable)
*   BoundsRect(global: TLBR)
*   resource ID of item list
*   stages word in hexadecimal (boldItem = item 1, box is drawn, 1 beep)
Type ALRT
  ,258(4)
  35 10 87 502
  258
  5555
  
* dialog item list for I/O error alert
*   ID (4 => pre-loaded; 32 => purgeable - it should always be purgeable.)
*   # Items
*   the first item:
*      a Button you can select
*      display rect (local coords)
*      title
*   the second-last items:
*     Static text, disabled (i.e. can't select it)
*     display rect
*     text to be displayed
Type DITL
  ,258(36)
  4
    button Enabled
    15 330 36 400
OK

    button Enabled
    15 410 36 480
Not OK

    staticText Disabled
    11 60 26 320
Error while ^0:

    staticText Disabled
    26 70 41 320
^1.

* alert box for miscellaneous errors
*   ID (4 => pre-loaded; 32 => purgeable)
*   BoundsRect(global: TLBR)
*   resource ID of item list
*   stages word in hexadecimal (boldItem = item 1, box is drawn, 1 beep)
Type ALRT
  ,259(4)
  35 10 115 502
  259
  5555

* dialog item list for miscellaneous error alert
*   ID (4 => pre-loaded; 32 => purgeable - it should always be purgeable.)
*   # Items
*   the first item:
*      a Button you can select
*      display rect (local coords)
*      title
*   the second-last items:
*     Static text, disabled (i.e. can't select it)
*     display rect
*     text to be displayed
Type DITL
  ,259(36)
  2
    button Enabled
    49 400 70 470
Continue

    staticText Disabled
    13 80 28 493
^0

* alert box for delete file confirmation; default button is Cancel
Type ALRT
  ,260(4)
  80 64 188 448
  260
  DDDD

Type DITL
  ,260(36)
  3
  button Enabled
  78 20 98 80
Yes
  
  button Enabled
  78 304 98 364
Cancel
  
  staticText Disabled
  10 67 68 369
Are you sure that you want to delete the file ^0?

* Dialog box for help command, page one
Type DLOG
  ,261(4)
  About Box
  35 10 325 502
  Visible NoGoAway
  1
  0
  261

Type DITL
  ,261(36)
  17
    button Enabled
    265 370 286 470
Next Page

    staticText Disabled
    5 0 20 493
Unpit's primary use is for unpacking the '.pit' files created by PackIt-{I,

    staticText Disabled
    20 0 35 493
II, III} and by Unpit itself.  A '.pit' (or PackIt) file is one encoded in such a

    staticText Disabled
    35 0 50 493
way that it contains several other files.  PackIt files are often used for

    staticText Disabled
    50 0 65 493
the posting of software since putting all of the pieces of a distribution

    staticText Disabled
    65 0 80 493
into one file usually decreases the amount of work that is involved in

    staticText Disabled
    80 0 95 493
posting and, on a network like USENET, makes it more likely that a site

    staticText Disabled
    95 0 110 493
will not receive just part of the distribution.

    staticText Disabled
    120 0 135 493
To unpack a '.pit' file, select 'Unpack files...' in the File menu.  You will be

    staticText Disabled
    135 0 150 493
presented with an open file dialog asking which file you want to unpack;

    staticText Disabled
    150 0 165 493
assuming that you select a valid '.pit' file, you will be presented with one

    staticText Disabled
    165 0 180 493
or more save file dialogs asking under what names you want to save the

    staticText Disabled
    180 0 195 493
unpacked files.  Selecting CANCEL in a save file dialog will cause Unpit to

    staticText Disabled
    195 0 210 493
skip that file and keep unpacking.

    staticText Disabled
    220 0 235 493
'PackIt and Text Files Only' controls the types of files that appear in the

    staticText Disabled
    235 0 250 493
first dialog brought up by the 'Unpack files...' command.  Normally, it is

    staticText Disabled
    250 0 265 360
most convenient to leave it selected.

* Dialog box for help command, page two
Type DLOG
  ,262(4)
  About Box
  35 10 325 502
  Visible NoGoAway
  1
  0
  262

Type DITL
  ,262(36)
  14
    button Enabled
    265 370 286 470
Continue

    staticText Disabled
    5 0 20 493
'Delete file...' lets you delete a file.  First, a dialog will be put up so that

    staticText Disabled
    20 0 35 493
you can select the file to be deleted.  You can cancel the deletion at this

    staticText Disabled
    35 0 50 493
point by selecting CANCEL; if you select a file, you'll be asked to confirm

    staticText Disabled
    50 0 65 493
the deletion, as insurance against accidentally deleting the wrong file.

    staticText Disabled
    75 0 90 493
'Pack files...' lets you pack multiple files into a single file.  First you will

    staticText Disabled
    90 0 105 493
be prompted for the name of the output file, then you will be prompted

    staticText Disabled
    105 0 120 493
for files to be packed into the output file until you select CANCEL.

    staticText Disabled
    130 0 145 493
'Use Huffman compression' controls whether or not the files that 'Pack

    staticText Disabled
    145 0 160 493
files...' produces are compressed.  Compressed files take more time to

    staticText Disabled
    160 0 175 493
produce than uncompressed ones, but also tend to be smaller.

    staticText Disabled
    185 0 200 493
The functions of 'About Unpit...', 'Help...', and 'Quit' should be obvious; the

    staticText Disabled
    200 0 215 493
Edit menu exists to support cutting and pasting within desk accessories,

    staticText Disabled
    215 0 230 493
and has no function within the program proper.

* Dialog used to display "unpacking", "skipping", & "packing" messages
Type DLOG
  ,263(4)
  status dialog
  125 64 165 448
  Visible NoGoAway
  1
  0
  263

Type DITL
  ,263(36)
  1
  staticText Disabled
  12 15 27 369
^2ing the file "^3".

* Finder information
Type BNDL
  ,128(32)
  UPIT 0
  ICN# 2
  0 128 1 129
  FREF 2
  0 128 1 129

Type FREF
  ,128(32)
  APPL 0

Type FREF
  ,129(32)
  PIT  1

Type ICN# = GNRL
 ,128(32)
.H
07FFE1F8
07FFE10C
07FFE10A
0700E10F
0700E901
0700FD01
0700C901
0700C101
0700C101
FFE0C1FF
8030C000
BE28C010
A23CC028
A204C044
A204C882
A204FD01
BE048882
80848044
81448028
82248010
84148000
822481F8
8144810C
8084810A
BE04816F
A2048901
A204FD7D
A2040901
A204017D
BE040101
800401FF
FFFC0000
*
000001F8
0FFFF1FC
0FFFF1FE
0FFFF9FF
0F81FDFF
0F81FFFF
0F81FDFF
0F81F9FF
0F81E1FF
FFE1E1FF
FFF1E000
FFF9E010
FFFDE038
FFFDF87C
FFFDFCFE
FFFDFFFF
FFFDFCFE
FFFDD87C
FFFDC038
FFFDC010
FFFDC000
FFFDC1F8
FFFDC1FC
FFFDC1FE
FFFDD9FF
FFFDFDFF
FFFDFFFF
FFFDFDFF
FFFC19FF
FFFC01FF
FFFC01FF
FFFC0000

 ,129(32)
.H
0FFFFE00
08000300
0BF00280
0A180240
0A140220
0A1E0210
0A0203F8
0A020008
0A020008
0A020008
0A020808
0A021408
0BFE2208
08004108
08008088
08010048
08020028
08010048
08008088
09F84108
090C2208
090A1408
090F0808
09010008
09010008
09010008
09010008
09010008
09010008
09FF0008
08000008
0FFFFFF8
*
0FFFFE00
0FFFFF00
0FFFFF80
0FFFFFC0
0FFFFFE0
0FFFFFF0
0FFFFFF8
0FFFFFF8
0FFFFFF8
0FFFFFF8
0FFFFFF8
0FFFFFF8
0FFFFFF8
0FFFFFF8
0FFFFFF8
0FFFFFF8
0FFFFFF8
0FFFFFF8
0FFFFFF8
0FFFFFF8
0FFFFFF8
0FFFFFF8
0FFFFFF8
0FFFFFF8
0FFFFFF8
0FFFFFF8
0FFFFFF8
0FFFFFF8
0FFFFFF8
0FFFFFF8
0FFFFFF8
0FFFFFF8
